# Permissions.Web

## Development server
Run `npm start`. The app will automatically reload if you change any of the source files.

## "Production" build
Run `npm run build:prod` to build the dist version of the project. The build artifacts will be stored in the `dist/` directory.  
A linter runs automatically when building this way.

## Push policy
Before push you need to run a production build as described above.

## Runtime configuration
We have runtime configuration. If u want run application with local api, please
link runtime-config.dev.js in index.html. If u want connect with remote api please link runtime-config.js in index.html.

## Library generating 
Building an Angular 4 Component Library with the Angular CLI and ng-packagr 
https://medium.com/@ngl817/building-an-angular-4-component-library-with-the-angular-cli-and-ng-packagr-53b2ade0701e

# IDE's settings
### Intellij IDEA / WebStorm
#### Editor
Editor -> General  
Ensure line feed at file end on Save: yes

Editor -> Code Style -> TypeScript  
-> Tabs and Indents  
Tab size: 2  
Indent: 2  
Continuation indent: 2  
-> Spaces  
ES6 import/export braces: yes  
-> Blank Lines  
Keep Maximum Blank Lines, In code: 1  
-> Other  
Generated code, Quote marks: Single quote  
Use 'public' modifier: yes 
