import { RequestConfiguration, RestApi } from './rest-api';
import { ResponseContentType, Headers, Response } from '@angular/http';
export declare class FakeRestApiService extends RestApi {
    get(uri: string, params?: any, headers?: Headers, responseType?: ResponseContentType): Promise<any>;
    put(uri: string, body?: any, params?: any): any;
    post(uri: string, body?: any, params?: any): Promise<any>;
    delete(uri: string, body?: any): Promise<any>;
    patch(uri: string, body: any): Promise<any>;
    prepareUri(...parts: string[]): string;
    send(config: RequestConfiguration): Promise<Response>;
}
