import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { FieldConfig } from '../universal-table/field.config';
import { FieldType } from '../universal-table/field.type';
export declare class UniversalTableFilterPanelComponent implements OnInit {
    /** search panel header */
    header: string;
    /** it's array with fields binding to input */
    filterFields: any[];
    /** it's array with descriptions to filter fields */
    fieldsDescriptions: any[];
    filterForm: FormGroup;
    formBuilder: FormBuilder;
    preparedData: any[];
    fieldsConfig: Map<string, FieldConfig>;
    filtersChange: EventEmitter<any>;
    textFieldtype: FieldType;
    selectFieldtype: FieldType;
    checkboxFieldtype: FieldType;
    constructor();
    ngOnInit(): void;
    /** this method build fields and validators in form group*/
    buildFormGroup(itemObject: any): void;
    getConfigForField(key: any): FieldConfig;
    /** this method merge fields with theirs descriptions */
    mergeValueWithDescription(): void;
    sendFilters(): void;
    resetFilters(): void;
    checkFieldType(key: any, type: any): boolean;
    getOptions(key: any): any[];
}
