import { OnInit, EventEmitter } from '@angular/core';
import { MatDialog } from '@angular/material';
import { FieldConfig } from '../field.config';
export declare class TableActionsComponent implements OnInit {
    private _dialog;
    previewEvent: EventEmitter<any>;
    downloadEvent: EventEmitter<any>;
    onEdit: EventEmitter<any>;
    onDelete: EventEmitter<any>;
    onAddInRow: EventEmitter<any>;
    fieldsConfig: Map<string, FieldConfig>;
    edit: boolean;
    delete: boolean;
    add: boolean;
    preview: boolean;
    download: any;
    item: any;
    private actions;
    private itemsService;
    constructor(_dialog: MatDialog);
    ngOnInit(): void;
    viewActions(): void;
    editRow(): void;
    deleteRow(): void;
    onPreview(): void;
    onDownload(): void;
    onAddInRowEvent(): void;
}
