import { DataServiceApi } from "../../universal-table/services/data-service-api";
import { RestApiService } from "../../../services/rest-api.service";
import { TransactionModel } from "./transaction.model";
import { TransactionsMock } from "./transactions.mock";
export declare class TransactionsService implements DataServiceApi {
    private _restApiService;
    mock: TransactionsMock;
    constructor(_restApiService: RestApiService);
    getItems(offset: number, count: number, filters: any): any[];
    getItemsCount(filters: any): number;
    getTransactions(offset: number, count: number, filters: any): TransactionModel[];
    getTransactionsCount(filters: any): number;
    getNewItem(): any;
    updateItem(item: any): void;
    deleteItem(item: any): void;
    addItem(item: any): void;
}
