import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { FormGroup, FormControl, FormBuilder } from '@angular/forms';
import { ArrayType } from '@angular/compiler/src/output/output_ast';
import { FieldConfig } from '../field.config';
import { FieldType } from '../field.type';
export declare class TableAddDialogComponent implements OnInit {
    dialogRef: MatDialogRef<TableAddDialogComponent>;
    data: any;
    addForm: FormGroup;
    textFieldtype: FieldType;
    selectFieldtype: FieldType;
    itemObject: any;
    formBuilder: FormBuilder;
    inputArray: ArrayType[];
    fieldsConfig: Map<string, FieldConfig>;
    controls: Map<string, FormControl>;
    constructor(dialogRef: MatDialogRef<TableAddDialogComponent>, data: any);
    ngOnInit(): void;
    setItem(item: any): void;
    buildFormGroup(itemObject: any): void;
    addInput(): void;
    delInput(index: number): void;
    save(): void;
    generateArray(obj: any): {
        key: string;
        value: any;
    }[];
    getConfigForField(key: any): FieldConfig;
    checkFieldType(key: any, type: any): boolean;
    getOptions(key: any): any[];
}
