import { FieldConfig } from '../field.config';
import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { FormGroup, FormBuilder } from '@angular/forms';
import { FieldType } from '../field.type';
export declare class TableEditDialogComponent implements OnInit {
    dialogRef: MatDialogRef<TableEditDialogComponent>;
    data: any;
    editForm: FormGroup;
    textFieldtype: FieldType;
    selectFieldtype: FieldType;
    checkboxFieldtype: FieldType;
    position: {
        top: string;
        right: string;
    };
    itemObject: any;
    formBuilder: FormBuilder;
    fieldsConfig: Map<string, FieldConfig>;
    constructor(dialogRef: MatDialogRef<TableEditDialogComponent>, data: any);
    ngOnInit(): void;
    configureDialog(): void;
    buildFormGroup(itemObject: any): void;
    getConfigForField(key: any): FieldConfig;
    save(): void;
    generateArray(obj: any): {
        key: string;
        value: any;
    }[];
    checkFieldType(key: any, type: any): boolean;
    getOptions(key: any): any[];
    comparator(o1: any, o2: any): boolean;
}
